/****************************************************
	MARC Template Library 

    Version 0.6.1 - Released 12 June 2002
	Version 0.6 - Released 10 June 2002
	  Version 0.5 - Not Released 1st June 2002
    Version 0.4.5 - Released 5th April 2002
	Version 0.4 - Released 28th March 2002
	Version 0.3 - Released 18th January 2002
	Version 0.2 - Released 14th January 2002
	Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: markbasedow@bigpond.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/

#ifndef _MARCTAG_H
#define _MARCTAG_H

#include <string>

using namespace std;

class MARCTag
{
public:
	MARCTag();
	~MARCTag();
	MARCTag(const MARCTag & mt);
	
//	operator const char *(){ return buf; }
//	operator char *(){ return buf; }

	void Parse(char * szBuf, int iLen);

	void Clear();
	const char * c_str();

	bool IsControl();
	bool IsData();

	MARCTag & operator=(const MARCTag & mt);
	MARCTag & operator=(const string & str);
	MARCTag & operator=(const char * szStr);
	bool operator<(const MARCTag & mt) const;
	bool operator==(const MARCTag & mt) const;
	bool operator==(const char * szStr) const;

private:

	char buf[4];

};



#endif