/****************************************************
	MARC Template Library 

    Version 0.6.1 - Released 12 June 2002
	Version 0.6 - Released 10 June 2002
	  Version 0.5 - Not Released 1st June 2002
    Version 0.4.5 - Released 5th April 2002
	Version 0.4 - Released 28th March 2002
	Version 0.3 - Released 18th January 2002
	Version 0.2 - Released 14th January 2002
	Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: markbasedow@bigpond.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/
#ifndef _MARCUTIL_H
#define _MARCUTIL_H

#include <string>
#include <iostream>


using namespace std;



inline int GetNum3(char * buf)
{
	int t = buf[0];
	if(t < 48 || t > 57) return -1;
	int r = (t - 48) * 100;

	t = buf[1];
	if(t < 48 || t > 57) return -1;
	r += (t - 48) * 10;

	t = buf[2];
	if(t < 48 || t > 57) return -1;
	r += (t - 48);

	return r;
}

inline int GetNum4(char * buf)
{
	int t = buf[0];
	if(t < 48 || t > 57) return -1;
	int r = (t - 48) * 1000;

	t = buf[1];
	if(t < 48 || t > 57) return -1;
	r += (t - 48) * 100;

	t = buf[2];
	if(t < 48 || t > 57) return -1;
	r += (t - 48) * 10;

	t = buf[3];
	if(t < 48 || t > 57) return -1;
	r += (t - 48);

	return r;
}

inline int GetNum5(char * buf)
{
	int t = buf[0];
	if(t < 48 || t > 57) return -1;
	int r = (t - 48) * 10000;

	t = buf[1];
	if(t < 48 || t > 57) return -1;
	r += (t - 48) * 1000;

	t = buf[2];
	if(t < 48 || t > 57) return -1;
	r += (t - 48) * 100;

	t = buf[3];
	if(t < 48 || t > 57) return -1;
	r += (t - 48) * 10;

	t = buf[4];
	if(t < 48 || t > 57) return -1;
	r += (t - 48);

	return r;
}

/* simple utility function for fast
string concatenation - returns pointer to the
end of the resulting string.

Not safe - use FastStringBuffer instead
*/
const char * MCopyCat(char * dest, char * src);


void RemoveSubFieldDelimiters(string & output, char * buf, int iLen);



#endif