
/****************************************************
	MARC Template Library 

    Version 0.5 - Released April 2002
    Version 0.4.5 - Released 5th April 2002
	Version 0.4 - Released 28th March 2002
	Version 0.3 - Released 18th January 2002
	Version 0.2 - Released 14th January 2002
	Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/


#include <iostream>
#include <vector>
#include "../include/mtl.h"
#include <conio.h>
#include <algorithm>
#include <time.h>






int main(int argc, char* argv[])
{		
	MARCBuffer<MARC21Record> marcBuffer;

	if(!marcBuffer.LoadFromFile(argv[1]))
	{
		cout << "ERROR: Unable to Open file";
		return 0;
	}


	MARC21Record rec;
	vector<MARC21Record> mv;

	while(marcBuffer.Read(rec))
	{
	mv.push_back(rec);
	}

	cout << "\n\n Sort Records including nonfiling characters\n";

	sort(mv.begin(), mv.end(), MARCTitleSort<MARC21Record, false>());

	vector<MARC21Record>::iterator pos;

	for(pos = mv.begin(); pos != mv.end(); ++pos)
	{

	cout << "\n" << pos->GetTitleString();
	}

	cout << "\n\nSort records Ignoring non filing characters\n";

	/*
	Currently the sorting is case sensitive
	so 'a' will come after 'Z' 
	
  */

	sort(mv.begin(), mv.end(), MARCTitleSort<MARC21Record, true>());

	for(pos = mv.begin(); pos != mv.end(); ++pos)
	{
	cout << "\n" << pos->GetTitleString();
	}
	//	MARC21Record::iterator fieldpos;

	/*	for(mpos = pos->begin(); mpos != pos->end(); ++mpos)
		{
		string str;
		 //(*mpos).GetString(str);
		 mpos->GetString(str);
		cout << str;
		}*/
		

	//	cout << "\n\n\n" << pos->GetTitleString();
	//	cout << "\n" << pos->GetTitleString(true);

	/*	pos->MoveFirst();

		while(!pos->IsEnd())
		{


		cout << "\n" << pos->Tag()->c_str();
	//	cout << " - " << (string)pos->Field()->GetString();
		if(pos->Tag()->IsControl())
			cout << " - " << (string)pos->Field()->GetString();
		else
			cout << " - " << ((MARCDataField *)pos->Field())->FormatString();

		pos->MoveNext();
		}*/
//	}

	return 0;
}

