/****************************************************
	MARC Template Library 

	Version 0.6.1 - Released 12 June 2002
    Version 0.6 - Released 10 June 2002
	  Version 0.5 - Not Released 1st June 2002
    Version 0.4.5 - Released 5th April 2002
	Version 0.4 - Released 28th March 2002
  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: markbasedow@bigpond.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/


#ifndef _MARCCONTROLFIELD_H
#define _MARCCONTROLFIELD_H



#include <string>

#include "marcdir.h"
#include "marctag.h"
#include "marcstring.h"
#include "marcdef.h"
#include "marcfield.h"

using namespace std;



class MARCControlField : public MARCField
{
public:

	virtual MARC_String GetString() {  return MARC_String(buf, iLength ? --iLength : 0); }

	virtual MARCField * Clone() const { return new MARCControlField(*this); }
 
};

#endif