/****************************************************
	MARC Template Library 

   Version 0.6.1 - Released 12 June 2002
	Version 0.6 - Released 10 June 2002
	  Version 0.5 - Not Released 1st June 2002
    Version 0.4.5 - Released 5th April 2002
	Version 0.4 - Released 28th March 2002
  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: markbasedow@bigpond.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/


#ifndef _MARCDEF_H
#define _MARCDEF_H



#ifdef WIN32
#define MTL_NEWLINE "\r\n"

#else

#define MTL_NEWLINE "\n"
#endif


#define MARC_LEADER_LENGTH 24
#define MARC_DIR_LENGTH 12

#define MARC_RT 0x1d  // record terminator
#define MARC_FT 0x1e //field terminator
#define MARC_ST 0x1f  //subfield 

enum MARCIndicator { ind1, ind2 };

enum MARCFormat { full, brief };


#endif