/****************************************************
	MARC Template Library 

    Version 0.6.1 - Released 12 June 2002
	Version 0.6 - Released 10 June 2002
	  Version 0.5 - Not Released 1st June 2002
    Version 0.4.5 - Released 5th April 2002
	Version 0.4 - Released 28th March 2002
	Version 0.3 - Released 18th January 2002
	Version 0.2 - Released 14th January 2002
	Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: markbasedow@bigpond.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/

#ifndef _MARCSTRING_H
#define _MARCSTRING_H

#include <string>

using namespace std;


template<class T>
struct MString
{
	MString() : StringPtr(0), StringLength(0) { }

	MString(T * tStrPtr, int iLength) : StringPtr(tStrPtr), StringLength(iLength) { }

	void Init(T * tStrPtr, int iLength) { StringPtr = tStrPtr; StringLength = iLength; }

//	void MakeString(basic_string<T> tStr) {
//			tStr.assign(StringPtr, StringLength);
//		}

	operator basic_string<T>() {
		basic_string<T> tStr;
		tStr.assign(StringPtr, StringLength);
		return tStr;
	}

	const T * StringPtr;
	int StringLength;
};

	

typedef MString<char> MARC_String;

typedef MString<wchar_t> MARC_WString; 



#endif